Subject: Re: [PATCH 10/11][TG3]: Reduce spurious interrupts.

From: Rick Jones <[email-masked]>
Date: Mon, 07 May 2007 10:44:14 -0700

Michael Chan wrote:
> On Mon, 2007-05-07 at 09:39 -0700, Rick Jones wrote:
> 
>>On how "topologically big" a system has this resurrection of the PIO read been 
>>tried so far?
>>
> 
> 
> If you're asking how much impact the read will have on performance, the
> answer is that it will depend on whether you frequently get spurious
> interrupts or not without the read.  The read itself has a measurable
> impact on performance, but it will offset the performance hit of
> entering the IRQ handler twice if you get frequent spurious interrupts.
> It also prevents the kernel from shutting down the IRQ in some extreme
> cases.
> 
> If you get spurious interrupts infrequently, the read is unfortunately a
> net loss.

Mostly I was thinking that not all PIO reads are the same "length" and so the 
effect of the PIO read will vary, perhaps considerably, with the platform, 
particularly for a very large NUMA platform.

rick jones